GET TaskStatusTypeTaskType?taskStatusTypeTaskTypeId={taskStatusTypeTaskTypeId}&taskStatusTypeId={taskStatusTypeId}&taskTypeId={taskTypeId}

Retrieves a companies task status types to task types association. These are read-only.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
taskStatusTypeTaskTypeId

globally unique identifier

Required

taskStatusTypeId

globally unique identifier

Required

taskTypeId

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

On success, a list of task status types and task types associations

NameDescriptionTypeAdditional information
Data

Collection of TaskStatusTypeTaskType

None.

Total

integer

None.

Message

string

None.

Response Formats

application/json, text/json

Sample:
{
  "Data": [
    {
      "TaskStatusTypeTaskTypeId": "69e590dc-0fcf-4a6a-b463-bffd745c5c66",
      "CompanyId": "12381a7a-64fa-48e4-bb63-5d92ec5adf33",
      "TaskStatusTypeId": "635b3141-c579-435e-8d4f-ecd7f96fb216",
      "TaskStatusTypeName": "sample string 2",
      "SourceSystemId": "sample string 3",
      "TaskTypeId": "495d8649-bb40-43be-a594-cadf32842408",
      "TaskTypeName": "sample string 4",
      "Description": "sample string 5"
    },
    {
      "TaskStatusTypeTaskTypeId": "69e590dc-0fcf-4a6a-b463-bffd745c5c66",
      "CompanyId": "12381a7a-64fa-48e4-bb63-5d92ec5adf33",
      "TaskStatusTypeId": "635b3141-c579-435e-8d4f-ecd7f96fb216",
      "TaskStatusTypeName": "sample string 2",
      "SourceSystemId": "sample string 3",
      "TaskTypeId": "495d8649-bb40-43be-a594-cadf32842408",
      "TaskTypeName": "sample string 4",
      "Description": "sample string 5"
    }
  ],
  "Total": 1,
  "Message": "sample string 1"
}